Summary:	System administration tools for monitoring users' disk usage
Name:		quota
Version:	3.17
Release:	%mkrel 2
License:	BSD and GPLv2+
Group:		System/Configuration/Other
URL:		http://sourceforge.net/projects/linuxquota/
Source0:	http://prdownloads.sourceforge.net/linuxquota/%{name}-%{version}.tar.gz
Patch0:		quota-3.06-warnquota.patch
Patch1:		quota-3.17-no-stripping.patch
Patch2:		quota-3.06-man-page.patch
Patch3:		quota-3.06-pie.patch
Patch4:		quota-3.13-wrong-ports.patch
Patch5:		quota-3.16-helpoption.patch
Patch6:		quota-3.16-quotaoffhelp.patch
Patch50:	quota-tools-default-conf.patch
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext
BuildRequires:	tcp_wrappers-devel
Requires:	e2fsprogs
Requires:	initscripts >= 6.38
Requires:	tcp_wrappers
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The quota package contains system administration tools for monitoring and
limiting users' and or groups' disk usage, per filesystem.

Install quota if you want to monitor and/or limit user/group disk usage.

%prep

%setup -q -n quota-tools
%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifnarch ppc ppc64
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1
%patch6 -p1

%patch50 -p1 -b .default-conf

#fix typos/mistakes in localized documentation
for pofile in $(find ./po/*.p*)
do
   sed -i 's/editting/editing/' "$pofile"
done

%build
%serverbuild

%configure2_5x \
    --enable-ldapmail=try \
    --with-ext2direct=no \
    --enable-rootsbin 

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}/sbin
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man2,man3,man8}

make install ROOTDIR=%{buildroot} \
             DEF_BIN_MODE=755 \
             DEF_SBIN_MODE=755 \
             DEF_MAN_MODE=644 \
             STRIP=""

install -m0644 warnquota.conf %{buildroot}%{_sysconfdir}

# we don't support XFS yet
rm -f %{buildroot}%{_sbindir}/quot
rm -f %{buildroot}%{_sbindir}/xqmstats
rm -f %{buildroot}%{_mandir}/man8/quot.*
rm -f %{buildroot}%{_mandir}/man8/xqmstats.*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc Changelog README.ldap-support README.mailserver ldap-scripts
%config(noreplace) %{_sysconfdir}/warnquota.conf
%config(noreplace) %{_sysconfdir}/quotagrpadmins
%config(noreplace) %{_sysconfdir}/quotatab
/sbin/*
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/rpcsvc/*
%{_mandir}/man?/*


%changelog
* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.17-2mdv2009.1
+ Revision: 337607
- new release
- sync patch set with fedora
- keep bash completion in its own package
- rediff patch 1 (stripping)
- drop partches 5, 7 and 10, merged upstream

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.org> 3.16-4mdv2009.1
+ Revision: 317559
- sync with quota-3.16-8.fc11.src.rpm

* Thu Sep 11 2008 Oden Eriksson <oeriksson@mandriva.org> 3.16-3mdv2009.0
+ Revision: 283788
- sync with quota-3.16-4.fc10.src.rpm

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.16-2mdv2009.0
+ Revision: 265615
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.16-1mdv2009.0
+ Revision: 194365
- new version
  drop patch 5 (merged upstream)
  drop patch 1 (makefile arg is enough)

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.org> 3.15-1mdv2008.1
+ Revision: 180933
- sync with fc9

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.14-3mdv2008.1
+ Revision: 152810
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.14-2mdv2007.0
+ Revision: 108839
- spec cleanup
- drop unused patches
- add bash completion

* Mon Dec 11 2006 Emmanuel Andry <eandry@mandriva.org> 3.14-1mdv2007.1
+ Revision: 94583
- New version 3.14
  bunzip patches
  drop patch 2
- Import quota

* Thu Jan 05 2006 Stefan van der Eijk <stefan@eijk.nu> 3.13-2mdk
- rebuild

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.13-1mdk
- 3.13
- fix summary-ended-with-dot
- %%mkrel

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.12-1mdk
- 3.12
- sync with fedora

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.10-1mdk
- 3.10
- synced with fedora
- misc spec file fixes

